Retrieve Invoices Details

GET https://api.beelpoint.com/v1/api/invoices/:Id

Parameter

Field
Type
Description

id*

String

Invoice unique ID

Response Body

Field
Type
Description

success

Boolean

Indicates if the request was successful.

statusCode

Number

The HTTP status code.

message

String

Success message.

data

Object

The invoice data.

invoice

Object[]

Array of invoice objects.

legal_monetary_total

Object

Total monetary details of the invoice.

line_extension_amount

Object

Amount before tax.

$numberDecimal

String

Line extension amount in decimal format.

tax_exclusive_amount

Object

Tax exclusive amount.

$numberDecimal

String

Tax exclusive amount in decimal format.

tax_inclusive_amount

Object

Tax inclusive amount.

$numberDecimal

String

Tax inclusive amount in decimal format.

payable_amount

Object

Payable amount.

$numberDecimal

String

Payable amount in decimal format.

payment_status

String

Current payment status of the invoice.

business_id

String

ID of the business associated with the invoice.

irn

String

Invoice reference number (IRN).

issue_date

String

Date when the invoice was issued.

invoice_type_code

String

Type code of the invoice.

document_currency_code

String

Currency code used in the document.

tax_currency_code

String

Currency code used for tax.

accounting_supplier_party

Object

Supplier party details.

_id

String

Supplier unique ID.

party_name

String

Name of the supplier.

tin

String

Supplier TIN.

email

String

Supplier email.

postal_address

Object

Supplier postal address.

street_name

String

Supplier street name.

city_name

String

Supplier city name.

postal_zone

String

Supplier postal zone.

country

String

Supplier country.

tax_total

Object[]

Array of tax details.

_id

Object

Tax unique ID.

tax_amount

Object

Total tax amount.

$numberDecimal

String

Total tax amount in decimal format.

tax_subtotal

Object[]

Array of tax subtotals.

_id

Object

Tax subtotal unique ID.

taxable_amount

Object

Amount subject to tax.

$numberDecimal

String

Taxable amount in decimal format.

tax_amount

Object

Tax amount.

$numberDecimal

String

Tax amount in decimal format.

tax_category

Object

Tax category details.

_id

String

Tax category unique ID.

id

String

Tax category ID.

percent

Number

Tax percentage.

accounting_customer_party

Object

Customer party details.

_id

String

Customer unique ID.

party_name

String

Name of the customer.

tin

String

Customer TIN.

email

String

Customer email.

postal_address

Object

Customer postal address.

street_name

String

Customer street name.

city_name

String

Customer city name.

postal_zone

String

Customer postal zone.

country

String

Customer country.

invoice_line

Object[]

Array of invoice line items.

_id

String

Line item unique ID.

hsn_code

String

HSN code for the line item.

product_category

String

Product category of the line item.

invoiced_quantity

Number

Quantity of the item.

line_extension_amount

Object

Amount for the line item.

$numberDecimal

String

Line extension amount in decimal format.

item

Object

Item details.

_id

String

Item unique ID.

name

String

Name of the item.

description

String

Description of the item.

sellers_item_identification

String

Seller's item identification.

price

Object

Price details of the line item.

_id

String

Price unique ID.

price_amount

Object

Price amount.

$numberDecimal

String

Price amount in decimal format.

base_quantity

Number

Base quantity.

price_unit

String

Unit of price.

billing_reference

Object[]

Array of billing references.

_document_reference

Object[]

Array of document references.

payment_means

Object[]

Array of payment means.

allowance_charge

Object[]

Array of allowance charges.

createdAt

String

Creation timestamp.

updatedAt

String

Last updated timestamp.

Error Responses

Name
Type
Description

invoiceNotFound

String

The invoice does not exist

Last updated